DataResolver (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.service

## Class DataResolver

- java.lang.Object
- - org.apache.cassandra.service.ResponseResolver
  - - org.apache.cassandra.service.DataResolver

-     public class DataResolver
      extends ResponseResolver

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.service.ResponseResolver

      `command, consistency, keyspace, logger, responses`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compareResponses()` Compares received responses, potentially triggering a digest mismatch (for a digest resolver) and read-repairs (for a data resolver).
    `PartitionIterator` | `getData()`
    `boolean` | `isDataPresent()`
    `PartitionIterator` | `resolve()`

    - ### Methods inherited from class org.apache.cassandra.service.ResponseResolver

      `getMessages, preprocess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getData

          public PartitionIterator getData()

      Specified by:
        `getData` in class `ResponseResolver`

    - #### isDataPresent

          public boolean isDataPresent()

      Specified by:
        `isDataPresent` in class `ResponseResolver`

    - #### compareResponses

          public void compareResponses()

      Description copied from class: `ResponseResolver`
      Compares received responses, potentially triggering a digest mismatch (for a digest resolver) and read-repairs (for a data resolver).

      This is functionally equivalent to calling `ResponseResolver.resolve()` and consuming the result, but can be slightly more efficient in some case due to the fact that we don't care about the result itself. This is used when doing asynchronous read-repairs.

      Specified by:
        `compareResponses` in class `ResponseResolver`

    - #### resolve

          public PartitionIterator resolve()

      Specified by:
        `resolve` in class `ResponseResolver`

Copyright © 2018 The Apache Software Foundation